<?php

namespace App\ViewModels\Orcamento\OrcamentoClienteItemDetalhe;

use App\Utils\Entity;

class OrcamentoClienteItemDetalhe extends Entity {
	protected $id;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $idOrcamento;
	protected $idProcedimento;
	protected $idProcedimentoValor;
	protected $idConvenioProcedimento;
	protected $idTipoProcedimento;
	protected $idTipoConvenio;
	protected $idUnidade;
	protected $idConvenio;
	protected $listIdRequisicao;
	protected $listIdComandaItem;
	protected $procedimento;
	protected $tipoProcedimento;
	protected $tipoConvenio;
	protected $codConvenio;
	protected $quantidade;
	protected $valorUnidade;
	protected $valor;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;
	protected $statusProcedimentoValor;

	public static function builder(): OrcamentoClienteItemDetalheBuilder {

		return new OrcamentoClienteItemDetalheBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdOrcamento() {

		return $this->idOrcamento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->idProcedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimentoValor() {

		return $this->idProcedimentoValor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdConvenioProcedimento() {

		return $this->idConvenioProcedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQuantidade() {

		return $this->quantidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorUnidade() {

		return $this->valorUnidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->dataAtualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->horaAtualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;

	}

	/**
	 *
	 * @param mixed $idOrcamento
	 */
	public function setIdOrcamento($idOrcamento) {

		$this->idOrcamento = $idOrcamento;

	}

	/**
	 *
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento) {

		$this->idProcedimento = $idProcedimento;

	}

	/**
	 *
	 * @param mixed $idProcedimentoValor
	 */
	public function setIdProcedimentoValor($idProcedimentoValor) {

		$this->idProcedimentoValor = $idProcedimentoValor;

	}

	/**
	 *
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idConvenioProcedimento) {

		$this->idConvenioProcedimento = $idConvenioProcedimento;

	}

	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;

	}

	/**
	 *
	 * @param mixed $valorUnidade
	 */
	public function setValorUnidade($valorUnidade) {

		$this->valorUnidade = $valorUnidade;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor) {

		$this->atualizadoPor = $atualizadoPor;

	}

	/**
	 *
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;

	}

	/**
	 *
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;

	}
	/**
	 * @return mixed
	 */
	public function getIdTipoProcedimento() {

		return $this->idTipoProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdTipoConvenio() {

		return $this->idTipoConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getIdConvenio() {

		return $this->idConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getProcedimento() {

		return $this->procedimento;
	}


	/**
	 * @return mixed
	 */
	public function getTipoProcedimento() {

		return $this->tipoProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getTipoConvenio() {

		return $this->tipoConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getCodConvenio() {

		return $this->codConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getStatusProcedimentoValor() {

		return $this->statusProcedimentoValor;
	}


	/**
	 * @param mixed $idTipoPorcedimento
	 */
	public function setIdTipoProcedimento($idTipoProcedimento) {

		$this->idTipoProcedimento = $idTipoProcedimento;
	}


	/**
	 * @param mixed $idTipoConvenio
	 */
	public function setIdTipoConvenio($idTipoConvenio) {

		$this->idTipoConvenio = $idTipoConvenio;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;
	}


	/**
	 * @param mixed $idConvenio
	 */
	public function setIdConvenio($idConvenio) {

		$this->idConvenio = $idConvenio;
	}


	/**
	 * @param mixed $procedimento
	 */
	public function setProcedimento($procedimento) {

		$this->procedimento = $procedimento;
	}


	/**
	 * @param mixed $tipoProcedimento
	 */
	public function setTipoProcedimento($tipoProcedimento) {

		$this->tipoProcedimento = $tipoProcedimento;
	}


	/**
	 * @param mixed $tipoConvenio
	 */
	public function setTipoConvenio($tipoConvenio) {

		$this->tipoConvenio = $tipoConvenio;
	}


	/**
	 * @param mixed $codConvenio
	 */
	public function setCodConvenio($codConvenio) {

		$this->codConvenio = $codConvenio;
	}


	/**
	 * @param mixed $statusProcedimentoValor
	 */
	public function setStatusProcedimentoValor($statusProcedimentoValor) {

		$this->statusProcedimentoValor = $statusProcedimentoValor;
	}
	/**
	 * @return mixed
	 */
	public function getListIdRequisicao() {

		return $this->listIdRequisicao;
	}


	/**
	 * @param mixed $listIdRequisicao
	 */
	public function setListIdRequisicao(array $listIdRequisicao) {

		$this->listIdRequisicao = $listIdRequisicao;
	}
	/**
	 * @return mixed
	 */
	public function getListIdComandaItem() {

		return $this->listIdComandaItem;
	}


	/**
	 * @param mixed $listIdComandaItem
	 */
	public function setListIdComandaItem(array $listIdComandaItem) {

		$this->listIdComandaItem = $listIdComandaItem;
	}







}

